Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "e29bc25d-ba20-441c-807c-3d53bfad9a20",
  "_parent_id": "7336caf5-f8fc-4e62-ad11-fd6fe652214d",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "43552149-ebc9-41e6-99e8-f2ac2d320e02",
  "company_id": "c17f8e37-0835-4e17-8319-f35b8d33a510",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "d45df780-a117-4003-bbf3-95994ce138b1",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "af5024c2-1a8a-4a5c-a773-91e6faa1ec1e",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "31bafdec-6a7f-4db0-9f58-1efe31aad67c",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "a0c26a82-9839-4b20-b479-ae94e7cab9ad",
    "company_code": "sample string 5",
    "company": {
      "id": "44d6afdf-0f7f-43f9-8ba1-a69cc1231ac0",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-04T07:08:50.6940959+00:00",
      "sales_territory_id": "bdc2a0d1-33c4-4793-b1d7-9e793401ece5",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "552ddecc-ea42-410e-8e1c-f61d976fa6a0",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "5f5cd370-71c8-4451-ae5e-1c209b52fdf0",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "269bf1b9-d18e-4823-bf45-d6882e61d3cd",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "10e970c5-6062-439a-a7d2-e61d496745c6",
          "db_currency_id": "486fdf7f-ee55-4efb-9987-1731c51fb69f",
          "db_language_id": "75c6f821-52c9-4221-9951-9ecdb0131056",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-04T07:08:50.6940959+00:00"
        },
        "modified_dateutc": "2026-11-04T07:08:50.6940959+00:00"
      },
      "marketing_segment_id": "a23dfe92-8ab1-4674-b2cd-86b45fbaaeef",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "e062a20f-ad0e-4051-a4d0-fbe4d2d40d62",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "f38fed50-1127-4dec-a0d9-650f7af410ef",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "f6354744-2924-443a-855b-8aec61a16079",
      "db_country_code": "sample string 28",
      "feelist_id": "968055b6-736b-4643-9fa4-b9c1bd2c31c5",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "003f408b-aa13-4024-8c2e-468d69395dd8",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "045811aa-21b8-4d9c-bc1f-b43dc171d809",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-04T07:08:50.6940959+00:00",
        "db_currency_id": "1b7baf00-a2e8-4dfe-bd91-e2b5f02ae792",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "8acd942c-7c83-4f34-ab1e-c78d4f38f053",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "051550e9-22f4-4cea-991f-0a61b84073d9",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "277986d3-c904-4af6-af69-910bbc6b1c65",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "9326d0df-a081-4e65-bcf2-35e255885f2f",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "646177c9-b394-4b3d-a63d-c076901f969d",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "4b9d95ba-38c2-45ce-9bce-26569bb51e1b",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "a46cfd77-f657-4ccb-8f11-f1e57f112fb4",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-04T07:08:50.6940959+00:00"
      },
      "company_sector_id": "73f57373-b538-4288-b39e-46d5146f3677",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "e459085d-3197-4f02-9c1b-c1926946b0cc",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "2846ba8b-7193-4e00-aeb1-dbb5a103ac31",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "f9ad0285-6dbf-4739-808d-60b8d546afdb",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "00638493-2533-4e8b-bb2d-32fc656193eb",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-04T07:08:50.6940959+00:00",
      "id2": 60
    },
    "db_language_id": "8205f9d1-deb6-4cda-8a70-cb89a3b9e253",
    "db_language_code": "sample string 7",
    "db_title_id": "319bfd04-63f9-4900-8060-7d09386de5ae",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-04T07:08:50.6940959+00:00",
    "create_date": "2026-11-04T07:08:50.6940959+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-04T07:08:50.6940959+00:00"
  },
  "modified_dateutc": "2026-11-04T07:08:50.6940959+00:00",
  "id2": 22
}